Skip to main content

Create Account

POST 

/v2/account

Create an account in an organization.Requires accountOrg:config:edit or account:config:edit permissions and to share an org with the account

Request

Query Parameters

    m2m M2M

    Create a Machine-To-Machine account for the organization.

Body

required

    account_email email

    Email address for this account. Ignored if creating an M2M account.

    description Description (string)

    Description for this account

    name Name (string)

    Name for this account. Ignored if creating an M2M account.

    org_id uuidrequired

    Organization ID for this account

    client_secret Client Secret (string)

    Client secret for this M2M account. One is generated if this is left blank.

    password Password (string)

    Password for this account. Ignored if creating an M2M account.

Responses

Successful Response

Schema

    description Description (string)

    Description for this account

    org_id uuid

    Organization ID for this account

    account_id uuidrequired

    Account ID

    account_email email

    Email address for this account

    client_secret Client Secret (string)

    Client secret for this account

Loading...